#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
/*
 * $Id: Select_Priority_Fixed_end_cycle.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace select {
namespace select_priority_fixed {

#undef  FUNCTION
#define FUNCTION "Select_Priority_Fixed::end_cycle"
void Select_Priority_Fixed::end_cycle ()
  {
    log_printf(FUNC,Select_Priority_Fixed,FUNCTION,"Begin");

#ifdef STATISTICS
    if (usage_is_set(_usage,USE_STATISTICS))
      _stat->end_cycle();
#endif    

#ifdef VHDL_TESTBENCH
    // Evaluation before read the ouput signal
//  sc_start(0);
    if (usage_is_set(_usage,USE_VHDL_TESTBENCH))
      _interfaces->testbench();
#endif

    log_printf(FUNC,Select_Priority_Fixed,FUNCTION,"End");
  };

}; // end namespace select_priority_fixed
}; // end namespace select
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
